================================================================================
       Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================

INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : May, 2016
TO      : Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : Manageability Engine Release notes for version SPS_03.01.03.032

================================================================================
                           LEGAL INFORMATION
================================================================================

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL PRODUCTS. NO
LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL
PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS PROVIDED IN INTEL'S TERMS
AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER
AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE
OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A
PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR
OTHER INTELLECTUAL PROPERTY RIGHT.

A "Mission Critical Application" is any application in which failure of the Intel
Product could result, directly or indirectly, in personal injury or death. SHOULD
YOU PURCHASE OR USE INTEL'S PRODUCTS FOR ANY SUCH MISSION CRITICAL APPLICATION,
YOU SHALL INDEMNIFY AND HOLD INTEL AND ITS SUBSIDIARIES, SUBCONTRACTORS AND
AFFILIATES, AND THE DIRECTORS, OFFICERS, AND EMPLOYEES OF EACH, HARMLESS AGAINST
ALL CLAIMS COSTS, DAMAGES, AND EXPENSES AND REASONABLE ATTORNEYS' FEES ARISING OUT
OF, DIRECTLY OR INDIRECTLY, ANY CLAIM OF PRODUCT LIABILITY, PERSONAL INJURY, OR
DEATH ARISING IN ANY WAY OUT OF SUCH MISSION CRITICAL APPLICATION, WHETHER OR NOT
INTEL OR ITS SUBCONTRACTOR WAS NEGLIGENT IN THE DESIGN, MANUFACTURE, OR WARNING OF
THE INTEL PRODUCT OR ANY OF ITS PARTS.

Intel may make changes to specifications and product descriptions at any time,
without notice. Designers must not rely on the absence or characteristics of any
features or instructions marked "reserved" or "undefined". Intel reserves these for
future definition and shall have no responsibility whatsoever for conflicts or
incompatibilities arising from future changes to them. The information here is
subject to change without notice. Do not finalize a design with this information.

The products described in this document may contain design defects or errors known
as errata which may cause the product to deviate from published specifications.
Current characterized errata are available on request.

Contact your local Intel sales office or your distributor to obtain the latest
specifications and before placing your product order.

Copies of documents which have an order number and are referenced in this document,
or other Intel literature, may be obtained by calling 1-800-548-4725,
or go to: http://www.intel.com/design/literature.htm

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2016 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : ME Firmware             --> 03.01.03.032
              ME Recovery Boot Loader --> 03.01.03.032
Build Date  : May, 2016

================================================================================
                           Supported Platforms
================================================================================
                           S2600WT Family
                           S2600KP Family
                           S2600TP Family
                           S2600CW Family
                
================================================================================
                        ME RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper (called ME
FRC UPDT Jumper)

The following steps demonstrate this recovery process:
   1.  Power OFF the system.
   2.  Switch the ME FRC UPDT jumper. Details regarding the jumper ID and
       location can be obtained from the Board EPS for that Platform.
   4.  Power ON the system.
   5.  Enter Setup and verify ME status in Server Management, it should be "recovery"
   6.  Boot to EFI Shell and update ME if necessary
   7.  AC OFF the system, and revert the ME FRC UPDT jumper position to
       "normal operation".
   8.  Power ON the system.
   9.  Enter setup and verify ME status in Server Management, it should be "OK"

Note 1 : ME will continuously monitor recovery jumper. Whenever ME FRC UPDT is
         asserted ME will immediately switch to recovery mode.  AC Power cycle
         is required after de-asserting ME FRC UPDT jumper for ME to function
         normally.
Note 2 : When MC FRC UPDT jumper is asserted with AC OFF, ME will restore to
         factory default settings.


================================================================================
				ME FW Capsule INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

!!!!! Please make sure AC plug in during update !!!!!
!!!!! AC Power failure during the update may, unrecoverably, damage your system !!!!!


Please follow the below procedure to update ME using UEFI iFlash32 13.0 Build 5
   1.  Boot the system to EFI Shell
   2.  Download ME release package
   3.  Unzip the ME release package to HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
           Shell> map -r
   4.  Change the Shell to mapped device file system
           Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt.
       Use ME_xx_xx_xx_xxx.cap file when ME operational Image update is required.
       Use MEComplete_xx_xx_xx_xxx.cap file when Only whole ME Image update is required.
           fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system after the update is completed.
================================================================================
			KNOWN ISSUES in 03.01.03.032 release
================================================================================
SPS FW sends P-state change requests to OS when no power limiting policy is configured.

================================================================================
			Issues fixed in 03.01.03.032 release
================================================================================   
Can't set power policy in S5 after Power Button Override.
SPS generates health event in each AC cycle.
SmaRT&CLST Status of Get SEL Entry have wrong byte order.
Predictive Power Limiting NM Policy does not meet 99.5% below power limit criteria in case of SMBAlert assertions (Fast #PROCHOT).
CPU cannot reach max frequency when stressed by PTU in SMI Optimized mode.
NM PTU option ROM running on HSX systems will exit early, after first characterization, and may cause system instability. 

================================================================================
			KNOWN ISSUES in 03.01.03.021 release
================================================================================
None.

================================================================================
			Issues fixed in 03.01.03.021 release
================================================================================   
Unexpected SmaRT&CLST events may be observed after removing 1 of 2 PSUs. 
Sometimes Predictive Power Limiting Node Manager Policy may over throttle platform after SMBAlert assertions. 
Under certain conditions ME FW may not clear P-state and/or core allocation settings in time before ME reset. P-state and/or core allocation settings may be present after ME reset, making operating system stuck at low frequency.
CPU may stuck at 'Pn' ratio after ME reset.
Changing scan period turns off predictive power limiting functionality.
Hardware Protection policy is not updated after disabling Fast Power Limiting functionality.
Set Node Manager Policy for CPU domain returns completion code 0xC0 – “Node Busy” after first transition to S5 from G3.
Sometimes unexpected IPMI completion code C0h – “Node Busy” may appeared.
Persistent Storage Hardware Protection Policy for HSC and BMC is Volatile.
Hardware Protection Policy return invalid Power Limit after Sx state.
Not expected “Correction Time Exceeded” IPMI event may be received from Memory domain policy.
Predictive Power Limiting Node Manager Policy does not meet 99.5% below power limit criteria in case of SMBAlert assertions (Fast #PROCHOT).
Wrong values of default ICC registers.
Boot time policy unintentionally turned off when BMC set up as power source.
Hardware Protection Policy do not persist across G3.
Power oscillations occur during Node Manager limiting for specific CPU SKUs.
ME is in recovery state after sending Get Sensor Value diagnostic command with incorrect sensor number.
Incorrect ICC SEPCICLKBP configuration.
Predictive power policy cannot be set if source scanning period is greater than 100ms.
Sometimes power spikes may be observed after SMBAllert deassertion in BMC assist mode configuration.
Sometimes missing Power Reading policy is not being activated.
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.
MctpProxyDisabled default changed in release xml.
Cannot read real sensor value using GetSensorReading IPMI command.
ME enter recovery mode when set altitude -1000 or 10000.
SmaRT&CLST - unexpected power limiting may be observed after the end of power ramp-up.
Unexpected ME FW health event may be observed after reset cycle.
Unexpected “Correction time excided” event may be observed when missing power policy is set and triggered.
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.
Setting PIA CPU 0 Mem Throttling and thermal circuit on, causes various NM commands to fail.
FIT - ICC parameters editability miss-match with documentation.
NMPTU Get NM Capabilities updated to invalid values after Platform Characterization Launch Request command.
Total power used for outlet temperature calculation isn’t averaged.
Reset Warning functionality is available in S0-Only power mode.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.

================================================================================
			KNOWN ISSUES in 03.01.03.018 release
================================================================================
Unexpected SmaRT&CLST events may be observed after removing 1 of 2 PSUs.

================================================================================
			Issues fixed in 03.01.03.018 release
================================================================================   
Under certain conditions ME FW may not clear P-state and/or core allocation settings in time before ME reset. P-state and/or core allocation settings may be present after ME reset, making operating system stuck at low frequency.
CPU may stuck at 'Pn' ratio after ME reset.
Changing scan period turns off predictive power limiting functionality.
Hardware Protection policy is not updated after disabling Fast Power Limiting functionality.
Set Node Manager Policy for CPU domain returns completion code 0xC0 – “Node Busy” after first transition to S5 from G3.
Sometimes unexpected IPMI completion code C0h – “Node Busy” may appeared.
Persistent Storage Hardware Protection Policy for HSC and BMC is Volatile.
Hardware Protection Policy return invalid Power Limit after Sx state.
Not expected “Correction Time Exceeded” IPMI event may be received from Memory domain policy.
Predictive Power Limiting Node Manager Policy does not meet 99.5% below power limit criteria in case of SMBAlert assertions (Fast #PROCHOT).
Wrong values of default ICC registers.
Boot time policy unintentionally turned off when BMC set up as power source.
Hardware Protection Policy do not persist across G3.
Power oscillations occur during Node Manager limiting for specific CPU SKUs.
ME is in recovery state after sending Get Sensor Value diagnostic command with incorrect sensor number.
Incorrect ICC SEPCICLKBP configuration.
Predictive power policy cannot be set if source scanning period is greater than 100ms.
Sometimes power spikes may be observed after SMBAllert deassertion in BMC assist mode configuration.
Sometimes missing Power Reading policy is not being activated.
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.
MctpProxyDisabled default changed in release xml.
Cannot read real sensor value using GetSensorReading IPMI command.
ME enter recovery mode when set altitude -1000 or 10000.
SmaRT&CLST - unexpected power limiting may be observed after the end of power ramp-up.
Unexpected ME FW health event may be observed after reset cycle.
Unexpected “Correction time excided” event may be observed when missing power policy is set and triggered.
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.
Setting PIA CPU 0 Mem Throttling and thermal circuit on, causes various NM commands to fail.
FIT - ICC parameters editability miss-match with documentation.
NMPTU Get NM Capabilities updated to invalid values after Platform Characterization Launch Request command.
Total power used for outlet temperature calculation isn’t averaged.
Reset Warning functionality is available in S0-Only power mode.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.

================================================================================
			KNOWN ISSUES in 03.01.03.005 release
================================================================================
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy.
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset.  
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted. 
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.
Under certain conditions ME FW may not clear P-state and/or core allocation settings in time before ME reset. P-state and/or core allocation settings may be present after ME reset, making operating system stuck at low frequency.
Unexpected SmaRT&CLST events may be observed after removing 1 of 2 PSUs. 

================================================================================
			Issues fixed in 03.01.03.005 release
================================================================================   
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.
MctpProxyDisabled default changed in release xml.
Cannot read real sensor value using GetSensorReading IPMI command.
ME enter recovery mode when set altitude -1000 or 10000.
SmaRT&CLST - unexpected power limiting may be observed after the end of power ramp-up.
Unexpected ME FW health event may be observed after reset cycle.
Unexpected “Correction time excided” event may be observed when missing power policy is set and triggered.
Setting PIA CPU 0 Mem Throttling and thermal circuit on, causes various NM commands to fail.
FIT - ICC parameters editability miss-match with documentation.
NMPTU Get NM Capabilities updated to invalid values after Platform Characterization Launch Request command.
Total power used for outlet temperature calculation isn’t averaged.
Reset Warning functionality is available in S0-Only power mode.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.

================================================================================
			KNOWN ISSUES in 03.01.03.004 release
================================================================================
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy.
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted. 
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.

================================================================================
			Issues fixed in 03.01.03.004 release
================================================================================   
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.
MctpProxyDisabled default changed in release xml.
Cannot read real sensor value using GetSensorReading IPMI command.
Setting PIA CPU 0 Mem Throttling and thermal circuit on, causes various NM commands to fail.
FIT - ICC parameters editability miss-match with documentation.
NMPTU Get NM Capabilities updated to invalid values after Platform Characterization Launch Request command.
Total power used for outlet temperature calculation isn’t averaged.
Reset Warning functionality is available in S0-Only power mode.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.

================================================================================
			KNOWN ISSUES in 03.01.03.003 release
================================================================================
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset.
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted. 
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.

================================================================================
			Issues fixed in 03.01.03.003 release
================================================================================   
None.

================================================================================
			KNOWN ISSUES in 03.01.03.002 release
================================================================================
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset.
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted. 
Firmware update from version older than SPS_ARC_53.01.00.242.0 is not possible using Online Firmware Update.

================================================================================
			Issues fixed in 03.01.03.002 release
================================================================================   
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.

================================================================================
			KNOWN ISSUES in 03.01.02.005 release
================================================================================
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset.
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted.
It is not possible to change CPU frequency using PERF_CTL MSR when Autonomous HW Controlled P-states are enabled. In consequence, PTU cannot perform power characterization for some characterization points.
Cannot read real sensor value using GetSensorReading IPMI command.
MctpProxyDisabled default changed in release xml.

================================================================================
			Issues fixed in 03.01.02.005 release
================================================================================   
Setting PIA CPU 0 Mem Throttling and thermal circuit on, causes various NM commands to fail.
FIT - ICC parameters editability miss-match with documentation.
NMPTU Get NM Capabilities updated to invalid values after Platform Characterization Launch Request command.
Total power used for outlet temperature calculation isn’t averaged.
Reset Warning functionality is available in S0-Only power mode.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.

================================================================================
			KNOWN ISSUES in 03.01.01.006 release
================================================================================
If host main power is delayed relatively to the standby power for 720-770ms ME stop responding. 
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy.
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset.
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings.
Total power used for outlet temperature calculation isn’t averaged.
Time after host reset policy doesn't limit power after IPMI command request PTU launch and power flow S0->S5->G3->S0.
Reset Warning - on IERR condition platform doesn't reset and ME FW doesn't send event from Reset Warning sensor – only configuration with 1 CPU is impacted. 
Reset Warning functionality is available in S0-Only power mode.
Power oscillations occur on CPU SKUs with non-zero TDP_OFFSET.

================================================================================
			Issues fixed in 03.01.01.006 release
================================================================================   
None.

================================================================================
			KNOWN ISSUES in 03.00.07.168 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings.
Alert Immediate Messages (Host Comm Error) on SandStorm.
NMPTU Get NM Capabilities updated to invalid values.

================================================================================
			Issues fixed in 03.00.07.168 release
================================================================================   
Permanent Node Busy completion code received when trying to ColdReset ME after setting new value of SlopeComp and Offset coefficients.
After increasing scanning period of DC Power sensor, min correction time for policies in secondary power domain (DC power) will not be updated.
SpsInfox86 crashes when executed with 64-bit addressing enabled.
Node Manager cannot maintain power limit after PSU power loss in Redundant PSU Configuration.
When "PIA Platform PSU Efficiency" sensor is disabled in xml Node Manager uses incorrect power reading for power limiting.
The sensor 0x18 SEL for HW protection policy correction time exceeded.
Get NM Parameter cmd (FAh) responds with incorrect readings when the sensor scanning is disabled.
Potential race condition in NM component handling SMART/CLST functionality.

================================================================================
			KNOWN ISSUES in 03.00.07.154 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
[MESDC] Compliance Test 7.8 Set PSU Configuration w/Power Cycle is failed.
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings. 
SpsInfox86 crashes when executed with 64-bit addressing enabled.
Permanent Node Busy completion code received when trying to ColdReset ME after setting new value of SlopeComp and Offset coefficients. 
After increasing scanning period of DC Power sensor, min correction time for policies in secondary power domain (DC power) will not be updated.  

================================================================================
			Issues fixed in 03.00.07.154 release
================================================================================   
NM Capabilities not available per MESDC Node Manager State Check.
Fast NM Limiting sometimes does not take effect after CLST immediately.
Throttling statistics are equal to 100 after execute EnableFastCLST IPMI command in scenario when FastCLST is disabled in xml. 
Permanent 'Node busy' completion code for non-NM IPMI commands 
Maximum throttling after ramp ends when NM policy is limiting 

================================================================================
			KNOWN ISSUES in 03.00.07.145 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
[MESDC] Compliance Test 7.8 Set PSU Configuration w/Power Cycle is failed.
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings. 
SpsInfox86 crashes when executed with 64-bit addressing enabled.
Permanent Node Busy completion code received when trying to ColdReset ME after setting new value of SlopeComp and Offset coefficients. 


================================================================================
			Issues fixed in 03.00.07.145 release
================================================================================   
Signed option ROM has incorrect PCIR information. 
NM-PTU OPROM fails to load when UEFI secure boot is enabled . 
Predictive power capping function is not accurate when first time AC power on.
Fast NM Limiting cannot release limiting after setting pwr draw range back to high value. 
Sometimes when ME configured for operating in SMArt&CLST assist mode the CLST assertion SEL event is sent after SMBAllert desertion. 
NM-PTU OPROM does not have proper version byte. 

================================================================================
			KNOWN ISSUES in 03.00.07.141 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
[MESDC] Compliance Test 7.8 Set PSU Configuration w/Power Cycle is failed.
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings. 
NM policy power range for memory domain is changed to incorrect values after NM PTU characterization is run. 
SpsInfox86 crashes when executed with 64-bit addressing enabled.
Permanent Node Busy completion code received when trying to ColdReset ME after setting new value of SlopeComp and Offset coefficients. 


================================================================================
			Issues fixed in 03.00.07.141 release
================================================================================   
Set NM Power Draw Range IPMI command does not work in Sx states.    
NM constantly forces RAPL limit 2 to 0 Watt after a series of SMBAlerts.


================================================================================
			KNOWN ISSUES in 03.00.07.114 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
[MESDC] Compliance Test 7.8 Set PSU Configuration w/Power Cycle is failed.
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel® SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
When auto configuration is performed and efficiency readings are provided from BMC, ME keeps requesting PSUs for readings. 
Permanent Node Busy completion code received when trying to ColdReset ME after setting new value of SlopeComp and Offset coefficients. 
NM constantly forces RAPL limit 2 to 0 Watt after a series of SMBAlerts.
NM policy power range for memory domain is changed to incorrect values after NM PTU characterization is run.


================================================================================
			Issues fixed in 03.00.07.114 release
================================================================================
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 – 4%.    
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command. 
Sporadically MESDC hangs up during reading trace logs via IPMB/RMCPP/HECI interface.   
Few events instead of one are send after Flash Wear-Out Protection occurs.
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.   
BMC OEM readings discovery is working incorrectly in Sx when BMC responded with completion code different from Successful (0x00). 
[MESDC]  Compliance test NM_13:  After running the test the PROCHOT# is not deasserted which may fail other compliance tests with power limiting. 
Certain power delivery systems may provide power data which fluctuates outside of the tolerances of the NM PTU power data filtering algorithm causing the Get Node Manager Power Characterization Range command (0x61) to return 0xFFFE power data. 
ME goes to recovery state after graceful shutdown when power and thermal readings are enabled. 
In G3 to S5 transition ME sends 2 NM Health Events: power readings in domain 0 and inlet temp readings are missing. 
BMC set as power source even if only PSU is available when auto configuration is enabled. 
P-States cannot be set while platform is in idle state. 
Unexpected CLST event is sent during S0->S5 transition. 
PSU Monitoring service error during GetSelftestResults IPMI command. 
BackBone exceptions during various power flows (SX/Global Reset) or after SKU burning / NMon alwaysOn/ s0only. 
Unexpected ME resets during SMBAlert stress test (backbone exception). 
MESDC over IPMI causes FW crash in Recovery if MeMdesAddr is disabled in xml. 
ME failed during cold reset after continuously setting and resetting ME recovery jumper - two exceptions occurred. 
Get NM Capabilities IPMI command return CompCode 0xC0 (Node Busy) when power telemetry is enabled. 
Unable to assign GPIO > 15 to MEMHOT, PROCHOT, SMBALERT. 
HMRFPO_ENABLE does not always respond during FW update after EOP. 
Missing readings policy causes maximum throttling after S3. 
Me does not send SMB Alert mask when setting redundant PSU. 
Me switches to recovery image when auto configuration is enabled and no sensors are enabled. 
Send Raw PMBUS command PMBUS_Revison does not work on SiEn SKU. 
Get Sel Entry IPMI command returns too few bytes in Recovery. 
SPS FW switches to Recovery during BMC DC Reboot. 
BMC OEM readings discovery does not work correctly in Sx. 
Platform shuts down during AC Cycles with 0W policies set on all domains. 
Threshold Exceeded event desertion not received when BMC sets new power threshold. 
Incorrect NM-PTU SHA-256 hash. 
Inband PECI Failure health events are not sent in some cases. 
“Get Self-Test Results” IPMI command reports PSU Monitoring error for PSU configured as redundant that is missing.    
When user issues “Set Max Allowed CPU P-state/T-state” command CPU will operate on Max Turbo frequency instead P1.
    
  
================================================================================


			KNOWN ISSUES in 03.00.06.277 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 - 4%.   
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command. 
Sporadically MESDC hangs up during reading trace logs via IPMB/RMCPP/HECI interface.  
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
Few events instead of one are send after Flash Wear-Out Protection occurs.  
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.   
[MESDC] Compliance Test 7.8  Set PSU Configuration w/Power Cycle is failed. 
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel? SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
Certain power delivery systems may provide power data which fluctuates outside of the tolerances of the NM PTU power data filtering algorithm causing the Get Node Manager Power Characterization Range command (0x61) to return 0xFFFE power data. 
BMC OEM readings discovery is working incorrectly in Sx when BMC responded with completion code different from Successful (0x00). 
[MESDC]  Compliance test NM_13:  After running the test the PROCHOT# is not deasserted which may fail other compliance tests with power limiting. 
Sometimes after setting coefficients via “Set Intel® NM Parameter” IPMI command the ME may respond “Node Busy” (0xC0) on all NM commands for one minute. 


================================================================================
			Issues fixed in 03.00.06.277 release
================================================================================
System idle power consumption rise after proactive power limit enable.    
Boot time power policy stop working after MIC card installed.    
Unexpected ME health events may be observed during DC cycles.


================================================================================
			KNOWN ISSUES in 03.00.06.274 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 - 4%.   
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command. 
Sporadically MESDC hangs up during reading trace logs via IPMB/RMCPP/HECI interface.  
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
Few events instead of one are send after Flash Wear-Out Protection occurs.  
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.   
[MESDC] Compliance Test 7.8  Set PSU Configuration w/Power Cycle is failed. 
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel? SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
Certain power delivery systems may provide power data which fluctuates outside of the tolerances of the NM PTU power data filtering algorithm causing the Get Node Manager Power Characterization Range command (0x61) to return 0xFFFE power data. 
BMC OEM readings discovery is working incorrectly in Sx when BMC responded with completion code different from Successful (0x00). 
[MESDC]  Compliance test NM_13:  After running the test the PROCHOT# is not deasserted which may fail other compliance tests with power limiting. 
Sometimes after setting coefficients via “Set Intel® NM Parameter” IPMI command the ME may respond “Node Busy” (0xC0) on all NM commands for one minute. 

================================================================================
			Issues fixed in 03.00.06.274 release
================================================================================
Sometimes during SMBalert assertion stress test unexpected ME FW reset may be observed.    
spsFITc and ME FW do not enable configuring MGPIO number greater than 15.
Sometimes unexpected SmaRT&CLST event is send by ME FW during platform AC cycle.    
During Global Reset cycle testing ME Exception: LOADER TIMEOUT may be observed.
Alerts from redundant PSU are not properly masked, so system could be throttled when redundant PSU asserts an error signal. Approx. one second throttling could be observed when redundant PSU is unplugged. 


================================================================================
			KNOWN ISSUES in 03.00.06.267 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 - 4%.   
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command. 
Sporadically MESDC hangs up during reading trace logs via IPMB/RMCPP/HECI interface.  
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy. 
Few events instead of one are send after Flash Wear-Out Protection occurs.  
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.   
[MESDC] Compliance Test 7.8  Set PSU Configuration w/Power Cycle is failed. 
[MESDC] ME FW Status in S3 State is failed. 
During Host Warm Reset flow, unexpected Intel? SPS 3.0 E5 Firmware exception may be promoted to Platform Global Reset. 
Certain power delivery systems may provide power data which fluctuates outside of the tolerances of the NM PTU power data filtering algorithm causing the Get Node Manager Power Characterization Range command (0x61) to return 0xFFFE power data. 
BMC OEM readings discovery is working incorrectly in Sx when BMC responded with completion code different from Successful (0x00). 
Alerts from redundant PSU are not properly masked, so system could be throttled when redundant PSU asserts an error signal. Approx. one second throttling could be observed when redundant PSU is unplugged. 
[MESDC]  Compliance test NM_13:  After running the test the PROCHOT# is not deasserted which may fail other compliance tests with power limiting. 
Sometimes after setting coefficients via ¡°Set Intel? NM Parameter¡± IPMI command the ME may respond ¡°Node Busy¡± (0xC0) on all NM commands for one minute. 


================================================================================
			Issues fixed in 03.00.06.267 release
================================================================================
Node Manager statistics returns invalid data after Sx when "Typical Platform power in Sx" sensor is enabled.   
Node Busy and communication problem with ME may be observed after Flash Wear-Out Protection ends on SDR_PIA partition.    
MIC Proxy sometimes doesn't return response from MIC.    
Power limiting oscillations may be observed when the power policy limit set in CPU turbo range and OS works in balanced mode. 
[MESDC] Compliance Test 7.6 Adding and removing policies for multiple domains is failed. 
[MESDC] Compliance CUPS_002 In-Band PECI is failed. 
[MESDC] MESDC Application cannot communicate via RMCPP interface. 
Unexpected ME FW reset during host reset transition may cause the platform to shut down.  
After putting a new BIOS and SPS Firmware image on flash, the first boot may fail: it may be observed that platform does not boot for about 20 seconds, then a global reset occurs and after that platform starts booting. 
spsFITC allows user to select various ¡°scanning periods¡± values for various HSCs, forcing ME to recovery mode due to misconfiguration.   
SPS FW switches to Recovery during PMBus reconfiguration stress test.   
P/T state update requests still observed after power capping is released.   
¡°Get Sel Time¡± IPMI Command returns FFs after power button override.   
Throttling statistics is not zero when system in S5.   
On Inca City platform CUPS IO utilization reaches a MAX value of 0xFF even when IO domain is stressed less than 100%.  
Power reading data from the CPU and memory sensors intermittently return incorrect/invalid data. Also impacts characterization data obtained with the NM PTU feature.  
PTAS CUPS IO domain utilization sensor reading reaches a value of 0xFF even when IO domain is stressed < 100% .
Sometimes during reading PCH sensor data 0xCB ¡°Requested sensor data not present¡± may appear. 
ME goes into recovery mode after couple of cycles of Set ME Power State command. 
Unexpected ME Firmware reset may appear during continuous RTC reboot tests. 
After Host reset policy is not activated in memory domain. 
MESDC: Compliance test checkboxes ¨C option ¡°unselect all¡± doesn¡¯t work.    
Compliance tests ¡°2.1 ME FW Status in Manufacturing Mode¡± and ¡°2.2 ME FW Status in Recovery Mode¡± failed due to missing FW Status frame.    
MESDC: Sys Info Report cannot read HW Data.    
Node Manager Power limiting functionalities does not work when PIA Scan Period value is equal ¡°3¡±. 
Suspend Periods doesn't work after platform AC cycle.    
Unexpected SEL when thermal status changes on CPU0. When heating one of the CPUs and reaching the threshold temperature, BMC SEL log shows that both CPUs reached the threshold temperature.(ME events).      
Incorrect device ID field of the NM PTU Option ROM. The device ID field of the NM PTU Option ROM holds value 8D3Ah which correspond to HECI-1 Device ID as per Wellsburg EDS.    
The CPU temperature returned by 4Bh does not follow our spec order.Issue exist when configuration contains only 1 CPU and all DIMM banks populated.   
Incorrect sensor units setting for PCH temp SDR.    
ADM1278 default spsFITC settings do not match datasheet. In the default XML, edited in spsFITC, CommandCode 0xD4 has default settings with 0xAB.    
Insufficient NM Precision for volumetric Airflow calculation resulting in ME producing inaccurate CFM values.
Unable to set FilterOption 0x02 in HSC configuration.    
CUPS CPU Utilization reaches a maximum value of 0xFF even when CPU domain is not stressed to 100% 


================================================================================
			KNOWN ISSUES in 03.00.05.402 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding.
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 – 4%.   
Node Manager statistics returns invalid data after Sx when "Typical Platform power in Sx" sensor is enabled.    
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command. 
Sporadically MESDC hangs up during reading trace logs via IPMB interface. 
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy.    
On Inca City platform CUPS IO utilization reaches a MAX value of 0xFF even when IO domain is stressed less than 100%.    
Node Busy and communication problem with ME may be observed after Flash Wear-Out Protection ends on SDR_PIA partition.   
Few events instead of one are send after Flash Wear-Out Protection occurs.  
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.   
MIC Proxy sometimes doesn't return response from MIC.   
Power reading data from the CPU and memory sensors intermittently return incorrect/invalid data.Also impacts characterization data obtained with the NM PTU feature.  
PTAS CUPS IO domain utilization sensor reading reaches a value of 0xFF even when IO domain is stressed < 100%
Power limiting oscillations may be observed when the power policy limit set in CPU turbo range and OS works in balanced mode. 
[MESDC] Compliance Test 7.6 Adding and removing policies for multiple domains is failed. 
[MESDC] Compliance Test 7.8  Set PSU Configuration w/Power Cycle is failed. 
[MESDC] Compliance CUPS_002 In-Band PECI is failed. 
[MESDC] ME FW Status in S3 State is failed. 
[MESDC] MESDC Application cannot communicate via RMCPP interface. 
Unexpected ME FW reset during host reset transition may cause the platform to shut down.  
After putting a new BIOS and SPS Firmware image on flash, the first boot may fail: it may be observed that platform does not boot for about 20 seconds, then a global reset occurs and after   that platform starts booting. 
spsFITC allows user to select various “scanning periods” values for various HSCs, forcing ME to recovery mode due to misconfiguration. 

================================================================================
			Issues fixed in 03.00.05.402 release
================================================================================
Sometimes during reading PCH sensor data 0xCB “Requested sensor data not present” may appear. 
ME goes into recovery mode after couple of cycles of Set ME Power State command. 
Unexpected ME Firmware reset may appear during continuous RTC reboot tests. 
After Host reset policy is not activated in memory domain. 
MESDC: Compliance test checkboxes – option “unselect all” doesn’t work.   
Compliance tests “2.1 ME FW Status in Manufacturing Mode” and “2.2 ME FW Status in Recovery Mode” failed due to missing FW Status frame. 
MESDC: Sys Info Report cannot read HW Data.  
Node Manager Power limiting functionalities does not work when PIA Scan Period value is equal “3”.  
Suspend Periods doesn't work after platform AC cycle.    
Unexpected SEL when thermal status changes on CPU0. When heating one of the CPUs and reaching the threshold temperature, BMC SEL log shows that both CPUs reached the threshold temperature.  (ME events).  
Incorrect device ID field of the NM PTU Option ROM. The device ID field of the NM PTU Option ROM holds value 8D3Ah which correspond to HECI-1 Device ID as per Wellsburg EDS. 
The CPU temperature returned by 4Bh does not follow our spec order.Issue exist when configuration contains only 1 CPU and all DIMM banks populated.    
Incorrect sensor units setting for PCH temp SDR.    
ADM1278 default spsFITC settings do not match datasheet. In the default XML, edited in spsFITC, CommandCode 0xD4 has default settings with 0xAB.  
Insufficient NM Precision for volumetric Airflow calculation resulting in ME producing inaccurate CFM values.    
Unable to set FilterOption 0x02 in HSC configuration.    
CUPS CPU Utilization reaches a maximum value of 0xFF even when CPU domain is not stressed to 100%




================================================================================
			KNOWN ISSUES in 03.00.05.382 release
================================================================================
If host main power delayed relatively to the standby power for 720-770ms ME stop responding. 
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
Sometimes during reading PCH sensor data 0xCB “Requested sensor data not present” may appear. 
ME goes into recovery mode after couple of cycles of Set ME Power State command. 
Unexpected ME Firmware reset may appear during continuous RTC reboot tests. 
For Shared Power Supply configuration power isn't kept in the range of 2% during power limiting. The power kept in range of 3 – 4%.  
Node Manager statistics returns invalid data after Sx when "Typical Platform power in Sx" sensor is enabled.      
SMLink0 utilization is too high after disabling Node Manager with Set ME FW capabilities command.
After Host reset policy is not activated in memory domain. 
Sporadically MESDC hangs up during reading trace logs via IPMB interface.    
MESDC: Compliance test checkboxes – option “unselect all” doesn’t work.  
MESDC: Trigger functionality doesn’t work for other interfaces than SMBus.    
Compliance tests “2.1 ME FW Status in Manufacturing Mode” and “2.2 ME FW Status in Recovery Mode” failed due to missing FW Status frame.  
MESDC: Sys Info Report cannot read HW Data.    
Unable to set Alert Threshold Limit to 0 degrees (minimum from capabilities) for Inlet Temperature Trigger Type Policy.   
On Inca City platform CUPS IO utilization reaches a MAX value of 0xFF even when IO domain is stressed less than 100%.    
Node Busy and communication problem with ME may be observed after Flash Wear-Out Protection ends on SDR_PIA partition.    
Few events instead of one are send after Flash Wear-Out Protection occurs.    
Node Manager Power limiting functionalities does not work when PIA Scan Period value is equal “3”. 
OSPM and DCMI policies are not created when policies maximum number of policies defined in XML file.    
Suspend Periods doesn't work after platform AC cycle.    


================================================================================
			Issues fixed in 03.00.05.382 release
================================================================================
“Get CPU and Memory Temperature” IPMI command response is always in “extended” format.
HUR/HCF statistics are improperly counted.
PECI Proxy "Get CPU and Memory Temperature" command respond with incorrect completion code. 
Turbo state limiting set using “Set Turbo Synchronization Ratio” IPMI command are not cleared after ME reset to factory settings. After performing ME reset to factory 
  settings, for active cores configurations modified using the IPMI command, maximum and default Turbo Ratio Limits may be overwritten by values set with IPMI command.  
Unexpected power decrease for about 4 seconds at the end of power ramp-up may be observed when SmaRT&CLST functionality enabled and Predictive Power Limiting Policy is active.  
Sometimes during Predictive Power Limiting Policy limiting the unexpected PSU efficiency fluctuations may appear. 
ME stops responding to IPMI and Diagnostic commands after multiple Cold Resets in a row.  
Unexpected ME firmware reset may be observed after continuous OS restarting.  
When platform has Silicon Enabling firmware with SMLink0 disabled the "Invalid END_OF_POST" error message may be observe after the “Warm reset”.  
Extra ME reset may be observed during transition from S4/S5 state to S0 state.  
Node Manager capabilities are updated even if value of PTU power characterization indicates that an error occurred. 
Node Manager doesn't unmask SMBAlert after Sx it could cause that SmaRT&CLST functionality will not work properly.  
MESDC tool Compliance Test 7.24 always returns failure. 
After sending more than 100 MIC Proxy frames 0x51 – “Slot IPMB” ME stop responding over IPMI interface. 
While using MIC Proxy the response completion code 0xC9 - "Parameter out of range" could be received instead of A2h – "Command response timeout".
Thermal policy sporadically does not limit power.
Sometimes unexpected ME Firmware reset could be observed after Cold Reset continues tests. 
Sometimes when Reset to defaults executed during heavy SPI Flash transaction load ME may stay in Recovery mode. 
During Hardware Protection policy power limiting power oscillations could be observed if installed PSU is not fully compatible with PMBus 1.2 specification. 
Sometimes after host reset caused by CPU or OS issues Node Manager could unexpectedly throttle platform power using PROCHOT#. In such case common power capping does not work. 
After several warm resets ME stop communicating over SMLink3/ SMLink4/SMLink5.
Predictive Power Limiting spends more than 0.5% time over the defined limit. 
ME sporadically goes in to recovery state after burning image with "Typical Power in Sx" and “BMC Platform Power readings" enabled.  
OS shutdown may last longer when CPU and Memory are under heavy load.  
Due to GetCPUMemoryTemperature IPMI command CPU temperature decreases while CPU is heavy loaded. 
Sporadically during Firmware Online Update the ME firmware may not acknowledge IPMI frame. 



================================================================================
			KNOWN ISSUES in 03.00.04.459 release
================================================================================
Predictive Power Limiting spends more than 0.5% time over the defined limit.  
“Get CPU and Memory Temperature” IPMI command response is always in “extended” format.
If host main power delayed relatively to the standby power for 720-770ms ME stop responding. 
HUR/HCF statistics are improperly counted. 
Node "Policy Alert Hysteresis" option does not appear in spsFITC when enabling NM feature after loading SiEn configuration XML. 
PECI Proxy "Get CPU and Memory Temperature" command respond with incorrect completion code.
Missing reading policy is not triggered in domain 1 and 2.  
Turbo state limiting set using “Set Turbo Synchronization Ratio” IPMI command are not cleared after ME reset to factory settings. After performing ME reset to factory settings, for active cores 
  configurations modified using the IPMI command, maximum and default Turbo Ratio Limits may be overwritten by values set with IPMI command.  
Unexpected power decrease for about 4 seconds at the end of power ramp-up may be observed when SmaRT&CLST functionality enabled and Predictive Power Limiting Policy is active. 
Sometimes during Predictive Power Limiting Policy limiting the unexpected PSU efficiency fluctuations may appear.  
ME sporadically goes in to recovery state after burning image with "Typical Power in Sx" and “BMC Platform Power readings" enabled. 
ME stops responding to IPMI and Diagnostic commands after multiple Cold Resets in a row. 
For Shared Power Supply configuration current power reading in Node Manager statistics is equal to 0.  
OS shutdown may last longer when CPU and Memory are under heavy load.  
ME firmware exception may be observed after continuous OS restarting. 
When platform has Silicon Enabling firmware with SMLink0 disabled the "Invalid END_OF_POST" error message may be observe after the “Warm reset”. 
Extra ME reset may be observed during transition from S4/S5 state to S0 state.  
Node Manager capabilities are updated even if value of PTU power characterization indicates that an error occurred.  
Node Manager doesn't unmask SMBAlert after Sx it could cause that SmaRT&CLST functionality will not work properly.  
MESDC tool Compliance Test 7.24 always returns failure. 
Response time for MIC Proxy command could be longer than 50 ms.  
After sending more than 100 MIC Proxy frames 0x51 – “Slot IPMB” ME stop responding over IPMI interface. 
While using MIC Proxy the response completion code 0xC9 - "Parameter out of range" could be received instead of A2h – "Command response timeout". 
Due to GetCPUMemoryTemperature IPMI command CPU temperature decreases while CPU is heavy loaded. 
Thermal policy sporadically does not limit power. 
Sometimes Firmware exception could be observed after Cold Reset continues tests.
Sporadically during Firmware Online Update the ME firmware may not acknowledge IPMI frame. 
Sporadically Watchdog reset occurs when ME is working as MCTP Proxy. 
Sometimes when Reset to defaults executed during heavy SPI Flash transaction load ME may stay in Recovery mode.
During Predictive Power Limiting policy power limiting power oscillations could be observed if installed PSU is not fully compatible with PMBus 1.2 specification. 
Some MESDC compliance tests may fail in Recovery mode due to firmware issue.
Sometimes after host reset caused by CPU or OS issues Node Manager could unexpectedly throttle platform power using PROCHOT#. In such case common power capping does not work. 
After several warm resets ME stop communicating over SMLink3/ SMLink4/SMLink5. 

================================================================================
			Issues fixed in 03.00.04.459 release
================================================================================
When SmaRT CLST power ramp generation works simultaneously with power capping algorithms it could result that ramp generation takes longer than the defined TR Ramp Time.
Node Manager Thermal Policy for total domain sometimes starts limiting power about one second after min correction time (one second). 
Command Get Nm Capabilities may return correction time based on wrong calculations. 
Shared Power Supplies. During limiting the power isn't kept in the range of 2 %, after correction time.
The 'Set Turbo Synchronization Ratio' does not accept full range of arguments. 
When aggressive power policy is defined and actively limiting after single fast prochot assertion platform power returns  to level before assertion too long (up to 1.5 seconds). 
During continuous testing Host Reset with Power Cycle platform may stay in S5 instead of S0. 
When Node Manager feature enabled firmware exception may appeared during continuous Power Button Override test. 
When the ME is configured for operating in S0-only after continuous Host Reset with Power Cycle ME may stop responding. 
PMBus Proxy functionality does not work when MIC Proxy functionality is disabled.
Sometimes delays could be observed when ME is answering to BIOS HECI requests. 
In BMC Less configuration ME cannot switch to recovery mode. 
Sometimes firmware exception observed before End Of Post when Node Manager feature enabled. It may put ME in to recovery mode. 
Unexpected platform reset when NM PTU TTR is set to maximum for BMC table. 
Timer alive is written to SPI Flash. "Timer Event" logged in the FEL. 
When ME is configured as MCTP Bus Owner, ME may hang during endpoint discovery process if endpoint sends incorrect responses continuously. 
MESDC command line is missing following compliance tests: 
  5.1 Reverse PECI Proxy 
  6.1 BMC Verification. 
After forcing MESDC "ME Reset" via HECI interface HECI connection does not reconnect. 
spsFITC is not building an image, when R coefficient equal to -1 in "SDR Typical Platform power consumption in Sx state".
Non existing CPU’s are reported in MESDC as “Status Unknown. Error with Diagnostic Command GetMsPeciPluginData: param is out of range.” 
Serial PECI may stop working when the IPMI to PECI traffic is heavy loaded.
Sometimes “Get Node Manager Statistics” IPMI command for domain 0 returns 0 Watts Current Power Reading.
During power capping the platform power could be overlimited.  
Sometimes platform power does not return to the actively capping policy limit after SmaRT&CLST event de-assertion. 
HECI over MESDC is not working when local ME debug is disabled. By default, local ME debug is disabled in xml, so it is no possible to use HECI over MESDC with the default XML. 
Platform false starts when Intel® ME FW is configured as S0/S1 Only and is powered on after being put into S5. The system powers on/lights up briefly, then shuts off again 
  for about 2 seconds, and then powers back up and only then continues into a normal boot. 
It is not possible to configure HSC device with the name longer than 9 characters in FITc. 
Intel® ME FW runs into Recovery Mode when PSU0/1 SDRs are disabled.
SmaRT&CLST functionality does not send commands to PSU to deassert SMBAlert after overcurrent condition is not present. 
Intel® ME FW default xml contains only VSCC settings for Dual I/O mode. There are no settings for Quad I/O mode.
Sporadically when the ME is configured for operating in S0-only and default power state after G3 is S5 platform could not be powered on by power button. 
Response on serial PECI transport may be too long when error completion code appeared.  
PCI buffer slew rate should is not editable in spsFITC.  


================================================================================
			Issues fixed in 03.00.03.695 release
================================================================================
Response on serial PECI transport may be too long when error completion code appeared.
PCI buffer slew rate should is not editable in spsFITC.

================================================================================
			Issues fixed in 03.00.03.688 release
================================================================================
Node manager capabilities are not updated after runtime plugging to the system PSU supported PMBus v1.1.  
Sometimes ME reset to recovery using IPMI commands does not work when the Node Manager enabled.  
Sometimes after S0->Sx->S0 platform transition ME starts to response with completion code 0xC0 (Node Busy) for all Node Manager specific commands.  
Sometimes Windows 2008 R2 on the Mayan City CRB could hang during transition to off if limiting policy is active.  
After each reading of the HSC Status Register (0x79) Node Manager sends a CLEAR_FAULTS (0x03) command resetting all three registers back to zero.  
Node Manager does not send Platform Event Message when the HSC status register changes.  
Sending Re-Arm Sensor command to any of the HSC status sensors stops ME readings to the entire HSC unit. 
The 'Get Self Test Results' IPMI command always reports HSC Monitoring service error for all HSC units.  
When Temperature Limit Policy shutdowns the platform. Platform goes to Sx state instead S0 after wake up using power button. Also lack of power capping could be observed after such an operation. 
ME Reset In Sx does not work properly, when Total Power Statistics supports a static value in Sx states. 
Power spikes could be observed during power capping with rapidly changing variable load.  
"Block write" and "Block write/read process call" commands does not work on PMBus over HECI. 
Power oscillations could be observed during hardware protection policy power capping. 
Memory throttling statistics are not 0 during BIOS POST.  
Sometimes Shutdown Policy performs host restart instead of shutdown action.  
MESDC process could be still active after program close if Compliance Test “3.2/3.3 ME Power State in Host S4/S5 State” was performed. 
FW Status frame in the MESDC Trace Console is parsing incorrectly.  
Lack of CUPS policies in spsFITc. 
Sometimes during platform boot the Host SMBus could be permanently blocked.  
Host Reset with the Power Cycle does not work properly when ME configured for operating in all Sx states.  
Sometimes ME FW hangs at "transition" state during boot.  
Sometimes platform shutdowns unexpectedly.  
Unsupported sensor in default xml file.  
Incorrect chipset configuration strap settings.  
MESDC application unable to communicate with ME via RMCPP interface. 
“Send Raw PMBUS” IPMI command does not support “Transmission Protocol” parameter. 
Response for "Get CPU and Memory Temperature" IPMI command with extend frame format is 0xC7 - invalid length. 
 
